%define module sdl2
%define oname PySDL2

Name:           python-%{module}
Version:        0.9.5
Release:        %mkrel 1
Summary:        Python 2.x SDL2 bindings
License:        Public Domain or CC0
Group:          Development/Python
URL:            https://bitbucket.org/marcusva/py-sdl2
Source0:        https://pypi.io/packages/source/P/PySDL2/%{oname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%package -n python3-%{module}
Summary:        Python 3.x SDL2 bindings
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%prep
%autosetup -n %{oname}-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc README.txt doc/html/*.html
%license doc/copying.rst
%{python2_sitelib}/%{oname}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{module}/

%files -n python3-%{module}
%doc README.txt doc/html/*.html
%license doc/copying.rst
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/


%changelog
* Sat Jan 21 2017 akien <akien> 0.9.5-1.mga6
+ Revision: 1082553
- imported package python-sdl2

